Bug 31530 - HTML tags in TT comments in patron-search.inc
Summary: HTML tags in TT comments in patron-search.inc
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Fridolin Somers
QA Contact: Katrin Fischer
URL:
Keywords:
Depends on: 30063
Blocks:
  Show dependency treegraph
 
Reported: 2022-09-07 20:43 UTC by Fridolin Somers
Modified: 2022-11-14 14:10 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.11.00, 22.05.07


Attachments
Bug 31530: Remove HTML tags in TT comments in patron-search.inc (1.31 KB, patch)
2022-09-07 20:46 UTC, Fridolin Somers
Details | Diff | Splinter Review
Bug 31530: Remove HTML tags in TT comments in patron-search.inc (1.84 KB, patch)
2022-09-07 20:55 UTC, Caroline Cyr La Rose
Details | Diff | Splinter Review
Bug 31530: Remove HTML tags in TT comments in patron-search.inc (1.90 KB, patch)
2022-09-11 13:42 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Fridolin Somers 2022-09-07 20:43:36 UTC
In patron-search.inc there is a TT comment block using <xxx>, this can be confused with real HTML tags.
It shows in translation strings.

I propose to use simple text.
Comment 1 Fridolin Somers 2022-09-07 20:46:57 UTC
Created attachment 140327 [details] [review]
Bug 31530: Remove HTML tags in TT comments in patron-search.inc
Comment 2 Caroline Cyr La Rose 2022-09-07 20:55:41 UTC
Created attachment 140328 [details] [review]
Bug 31530: Remove HTML tags in TT comments in patron-search.inc

Signed-off-by: Caroline Cyr La Rose <caroline.cyr-la-rose@inlibro.com>

To test:
1) Without patch, search for patron-search.inc in misc/translator/po/xx-XX-staff-prog.po
--> There should be strings with pound signs such as "%%] %s [%%# - branch: "
2) Apply patch
3) Update translation files `translate update xx-XX`
4) Search again for patron-search.inc in
misc/translator/po/xx-XX-staff-prog.po
--> The problematic strings are not there anymore
5) In the staff interface, go to Patrons, the search box and search
function should be unchanged
Comment 3 Caroline Cyr La Rose 2022-09-07 20:56:30 UTC
Thanks Fridolin!

I added a test plan, just in case...
Comment 4 Fridolin Somers 2022-09-08 18:31:39 UTC
Thanks a lot ;)
Comment 5 Katrin Fischer 2022-09-11 13:42:07 UTC
Created attachment 140399 [details] [review]
Bug 31530: Remove HTML tags in TT comments in patron-search.inc

Signed-off-by: Caroline Cyr La Rose <caroline.cyr-la-rose@inlibro.com>

To test:
1) Without patch, search for patron-search.inc in misc/translator/po/xx-XX-staff-prog.po
--> There should be strings with pound signs such as "%%] %s [%%# - branch: "
2) Apply patch
3) Update translation files `translate update xx-XX`
4) Search again for patron-search.inc in
misc/translator/po/xx-XX-staff-prog.po
--> The problematic strings are not there anymore
5) In the staff interface, go to Patrons, the search box and search
function should be unchanged

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Tomás Cohen Arazi 2022-09-12 18:37:23 UTC
Pushed to master for 22.11.

Nice work everyone, thanks!
Comment 7 Lucas Gass 2022-10-31 20:52:16 UTC
Backported to 22.05.x for upcoming 22.05.07 release
Comment 8 Arthur Suzuki 2022-11-14 14:10:51 UTC
depends on 30063, can't backport on 21.11.x